<?xml version="1.0" encoding="UTF-8"?>
<Configuration status="WARN" strict="true">
  
  <Properties>
  	 <Property name="basedir">/logs</Property>
  	 <Property name="filename">${basedir}/app.log</Property>
  	 <Property name="rollingfilename">${basedir}/rolling_app.log</Property>
  	 <Property name="def_pattern">%d{HH:mm:ss.SSS} [%t] %-5level %logger{36} - %m %ex %n</Property>
  </Properties>
  
  <Appenders>
  	<Appender type="Console" name="STDOUT">
      <Layout type="PatternLayout" pattern="${def_pattern}"/>
    </Appender>
  	
  	 <Appender type="File" name="File" fileName="${filename}">
      <Layout type="PatternLayout">
        <Pattern>${def_pattern}</Pattern>
      </Layout>
    </Appender>
	
  </Appenders>
  
  <Loggers>
   	<Root level="info">
      <AppenderRef ref="STDOUT"/>
      <AppenderRef ref="File"/>
    </Root>
  </Loggers>
  
</Configuration>